﻿Imports Infragistics.Win.DataVisualization
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows.Forms

Namespace WDC_HighlightMarkers
	Partial Public Class Form2
		Inherits Form

		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Form2_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
			Dim xAxis = New CategoryXAxis()
			Dim dt = Me.CreateDataTable()
			xAxis.DataSource = dt
			xAxis.Label = "Labels"
			xAxis.Interval = 1

			Dim yAxis = New NumericYAxis()
			yAxis.MinimumValue = 0

			Dim series As New AreaSeries()
			series.DataSource = dt
			series.XAxis = xAxis
			series.YAxis = yAxis
			series.ValueMemberPath = "Values"
			series.ShowDefaultTooltip = True

			ultraDataChart1.Axes.Add(xAxis)
			ultraDataChart1.Axes.Add(yAxis)

			ultraDataChart1.Series.Add(series)

			Dim categoryHighlight As New CategoryHighlightLayer()
			categoryHighlight.TargetAxis = xAxis
			categoryHighlight.BandHighlightWidth = 2
			categoryHighlight.Thickness = 0
			categoryHighlight.Brush = series.ActualBrush
			categoryHighlight.TransitionDuration = 1000
			categoryHighlight.TransitionInDuration = 1000
			ultraDataChart1.Series.Add(categoryHighlight)

			Dim categoryTooltipLayer As New ItemToolTipLayer()
			categoryTooltipLayer.TargetSeries = series
			categoryTooltipLayer.ShowDefaultTooltip = True
			categoryTooltipLayer.ShouldRenderAsOverlay = False
			ultraDataChart1.Series.Add(categoryTooltipLayer)

			Dim itemHighlight As New CategoryItemHighlightLayer()
			itemHighlight.TargetSeries = series
			itemHighlight.Brush = itemHighlight.TargetSeries.ActualBrush
			itemHighlight.Outline = itemHighlight.TargetSeries.ActualOutline
			itemHighlight.TransitionDuration = 1000
			itemHighlight.TransitionInDuration = 1000
			ultraDataChart1.Series.Add(itemHighlight)
		End Sub

		Private Function CreateDataTable() As DataTable
			Dim dt As New DataTable()

			dt.Columns.Add("Labels", GetType(String))
			dt.Columns.Add("Values", GetType(Integer))

			dt.Rows.Add(New Object() { "January", 200})
			dt.Rows.Add(New Object() { "February", 280})
			dt.Rows.Add(New Object() { "March", 160})
			dt.Rows.Add(New Object() { "April", 120 })
			dt.Rows.Add(New Object() { "May", 142 })
			dt.Rows.Add(New Object() { "June", 180})
			dt.Rows.Add(New Object() { "July", 198})
			dt.Rows.Add(New Object() { "August", 220})
			dt.Rows.Add(New Object() { "September", 221})
			dt.Rows.Add(New Object() { "October", 208})
			dt.Rows.Add(New Object() { "November", 183})
			dt.Rows.Add(New Object() { "December", 204})

			Return dt
		End Function
	End Class
End Namespace
